version: '3.4'

# NEXT RUN
services:
  parr-next-run-interval:
    image: harbor.dvgd.rzd/parr/parr-next-run:${tag:-latest}
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - TZ=Europe/Moscow
      - ENABLE_RABBIT=false
      - ENABLE_INTERVAL=true
    logging:
      driver: fluentd
      options:
        fluentd-address: dvgd-efk-01.dvgd.oao.rzd:24224
        fluentd-retry-wait: '10s'
        fluentd-max-retries: '30'
        fluentd-async: 'true'
        fluentd-buffer-limit: '52428800'
        tag: parr.next-run-interval.serilog
    deploy:
      replicas: 1
    networks:
      - parr-network
  
  parr-next-run-rabbit:
    image: harbor.dvgd.rzd/parr/parr-next-run:${tag:-latest}
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - TZ=Europe/Moscow
      - ENABLE_RABBIT=true
      - ENABLE_INTERVAL=false
    logging:
      driver: fluentd
      options:
        fluentd-address: dvgd-efk-01.dvgd.oao.rzd:24224
        fluentd-retry-wait: '10s'
        fluentd-max-retries: '30'
        fluentd-async: 'true'
        fluentd-buffer-limit: '52428800'
        tag: parr.next-run-rabbit.serilog
    deploy:
      replicas: 4
    networks:
      - parr-network
      
networks:
  parr-network:
    driver: overlay
    external: true 

